# Uses of Class
org.eclipse.net4j.util.ref.Interner.Entry

Packages that use Interner.Entry
Package
Description
org.eclipse.net4j.util.ref
A framework for memory-sensitive keyed references and value maps.

## Uses of Interner.Entry in org.eclipse.net4j.util.ref

Fields in org.eclipse.net4j.util.ref declared as Interner.Entry
Modifier and Type
Field
Description
`Interner.Entry<E>`
Interner.Entry.`next`
Methods in org.eclipse.net4j.util.ref that return Interner.Entry
Modifier and Type
Method
Description
`protected Interner.Entry<E>`
Interner.`createEntry(E object, int hashCode)`
`protected Interner.Entry<E>`
Interner.`getEntry(int hashCode)`
Gets the first entry in the table with exactly the given hash code.
`Interner.Entry<E>`
Interner.Entry.`getNextEntry()`
Methods in org.eclipse.net4j.util.ref with parameters of type Interner.Entry
Modifier and Type
Method
Description
`protected void`
Interner.`addEntry(Interner.Entry<E> entry)`
Adds a new entry, `ensures` the capacity is sufficient and increases the `Interner.size`.